// const module = import.meta.glob(`@/views/**/*.vue`)
// const modules = {}
// Object.keys(module).forEach((item) => {
//   module[item]().then(res => {
//     const moduleName = item.replace(/^\.\/modules\/(.*)\.\w+$/, '$1')
//     modules[moduleName] = res?.default
//   })
// })

const modulesEager = import.meta.globEager(`@/views/**/*.vue`)
const modules = Object.keys(modulesEager).reduce((modules, path) => {
  const moduleName = path.replace(/^\.\/modules\/(.*)\.\w+$/, '$1')
  modules[moduleName] = modulesEager[path]?.default
  return modules
}, {})

export default modules
